## GtkIMContextSimple

GtkIMContextSimple

## Functions

GtkIMContext * | gtk_im_context_simple_new ()
void | gtk_im_context_simple_add_table ()

## Types and Values

struct | GtkIMContextSimple
#define | GTK_MAX_COMPOSE_LEN

## Object Hierarchy

        GObject
        ╰── GtkIMContext
            ╰── GtkIMContextSimple

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_im_context_simple_new ()

    GtkIMContext *
    gtk_im_context_simple_new (void);

Creates a new GtkIMContextSimple.

#### Returns

a new GtkIMContextSimple.

### gtk_im_context_simple_add_table ()

    void
    gtk_im_context_simple_add_table (GtkIMContextSimple *context_simple,
                                     guint16 *data,
                                     gint max_seq_len,
                                     gint n_seqs);

Adds an additional table to search to the input context. Each row of the table consists of `max_seq_len` key symbols followed by two guint16 interpreted as the high and low words of a gunicode value. Tables are searched starting from the last added.

The table must be sorted in dictionary order on the numeric value of the key symbol fields. (Values beyond the length of the sequence should be zero.)

#### Parameters

context_simple | A GtkIMContextSimple |
data | the table |
max_seq_len | Maximum length of a sequence in the table (cannot be greater than GTK_MAX_COMPOSE_LEN) |
n_seqs | number of sequences in the table |

## Types and Values

### struct GtkIMContextSimple

    struct GtkIMContextSimple;

### GTK_MAX_COMPOSE_LEN

    #define GTK_MAX_COMPOSE_LEN 7